import matplotlib.pyplot as plt
import pandas
from pymlbenchmark.plotting import plot_bench_results

name = "../../onnx/results/bench_plot_datasets_num_reg.perf.csv"
df = pandas.read_csv(name)
plot_bench_results(df, row_cols='model', col_cols=('dataset', 'norm'),
                   x_value='N', fontsize=24,
                   title="Numerical datasets\nBenchmark scikit-learn / onnxruntime")
plt.show()